Subject: Re: where to send RFC 5378 license forms

From: "Donald Eastlake" <[email-masked]>
Date: Mon, 29 Dec 2008 19:17:45 -0500

On Mon, Dec 29, 2008 at 11:19 AM, Simon Josefsson <[email-masked]>wrote:

> "Donald Eastlake" <[email-masked]> writes:
>
> > On Fri, Dec 19, 2008 at 5:30 AM, Simon Josefsson <[email-masked]>
> wrote:
> > ...
> >> If you are updating a pre-RFC 5378 document that contains trademarked
> >> words, it isn't sufficient for the old contributor to have signed the
> >> IETF Trust form if the document contains trademarks.  You need to
> >> contact him anyway, to get permission to reproduce the trademark.
> >>
> >> /Simon
> >
> > You should consult an attorney but, as far as I know, at least in the
> > US, there is no magic permission needed to "reproduce" a trademark.
> > Usually trademarks are to indicate the source of a product or service
> > and as long as you don't mislead people about that, you are fine.
>
> Then what use does section 3.4 of RFC 5378 serve?

There is a reason I suggested you consult a real lawyer, but I suppose bars
the authors of an RFC from later making a claim that the RFC or derivative
works infringe on the trade mark, that is to say, leads to confusion as to
the source of some good of service.

3.4.  Rights to Use Trademarks
>
>   Contributors may wish to seek trademark or service mark protection on
>   any terms that are coined or used in their Contributions.  The IETF
>   makes no judgment about the validity of any such trademark rights.
>   However, the IETF requires each Contributor, under the licenses
>   described in Section 5.3 below, to grant the IETF Trust a perpetual
>   license to use any such trademarks or service marks solely in
>   exercising rights to reproduce, publish, discuss, and modify the IETF
>   Contribution.  This license does not authorize the IETF or others to
>   use any trademark or service mark in connection with any product or
>   service offering.
>
> It was co-authored by the IETF attorney, so I suspect it is intended to
> serve some purpose.

See my comment above.

If it serves a purpose, contributors needs to get the necessary right
> and be able to transfer it to the IETF Trust in order to submit a
> contribution.  As far as I understand, that would involve talking with
> the old contributor if trademarks are involved.

That does not follow. No license is needed for non-infringing use of a trade
mark but granting even an unnecessary license probably makes it harder to
get very far with a law suit against the IETF transferring some of a very
small risk from the IETF to the contributor. There is no way to be perfectly
safe in the current legal system but doing anything, including producing or
publishing any document, probably increases your risk.

Do you believe that Jon Postel or its current authors needed "to get the
necessary right" to publish each of the large number of trademarks in STD 1
(currently RFC 5000)?

/Simon

Thanks,Donald
=============================
Donald E. Eastlake 3rd   +1-508-634-2066 (home)
155 Beaver Street
Milford, MA 01757 USA
[email-masked]
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: TSG <[email-masked]>
Date: Fri, 23 Jan 2009 12:14:02 -0800

>> Just as a simple "for example": what is the set of names that 
>> needs to be
>> posted just to cover all of the boilerplate text we're 
>> required to put in our
>> documents?
>>     
>
> The boilerplate text is owned by the IETF Trust.  No author permissions
> are needed.
>   
Hmm... seems to me that there is a release required for the derivative 
work here right?

Todd Glassey
>   
>> As a slightly harder example: what is the set of names 
>> required to cover
>> all the boilerplate text that goes into an RFC containing a 
>> MIB module?
>>     
>
> See above.  In addition, MIB modules were licensed broadly under RFC
> 3978, so they are less problematic than non-code text.
> ------------------------------------------------------------------------
>
>
> Internal Virus Database is out of date.
> Checked by AVG - http://www.avg.com 
> Version: 8.0.176 / Virus Database: 270.9.18/1850 - Release Date: 12/15/2008 5:04 PM
>
>